/*
  EZinst - Easy Installation -
  Copyright (C) 1993, 1994, 1995 Takashi MANABE
                                     (manabe@Roy.dsl.tutics.tut.ac.jp)

  EZinst is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */

#include <jcurses.h>

#define	KEY_UP		0x1041
#define	KEY_DOWN	0x1042
#define	KEY_RIGHT	0x1043
#define	KEY_LEFT	0x1044
#define	KEY_PGUP	0x1035
#define	KEY_PGDOWN	0x1036
#define	KEY_CURSOR	0x1000

#define	KEY_CTRL(key)	(key - '@')

#if 0
#define	SET_CURSOR(win)	\
{\
    wmove(win->orig, win->orig->maxy - (japanese ? 2: 1),\
    win->orig->maxx - (japanese ? 3:1));\
    wrefresh(win->orig);\
}
#else
#define	SET_CURSOR(win)	\
{\
    move(LINES - 1, COLS - 2);\
    refresh();\
}
#endif

#define	BEEP(n) \
{\
     int i;\
     for (i = 0; i < n; i ++) {\
	putchar(0x07);\
	fflush(stdout);\
	if (i + 1 < n) usleep(500000);\
     }\
}

WINDOW *OpenWin(int, int, int, int, int, int, int, int, char *, char *);
void CloseWin(WINDOW *);
void InitScreen();
