/*
  EZinst - Easy Installation -
  Copyright (C) 1993, 1994, 1995 Takashi MANABE
                                     (manabe@Roy.dsl.tutics.tut.ac.jp)

  EZinst is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
#include <malloc.h>

/*
   ݤХåե³롣
*/

#define	NEW_LINK(type, head, tail, cur)	\
{\
    cur = calloc(sizeof(type), 1);\
    if (tail == NULL) {\
	head = cur;\
    } else {\
	cur->prev = tail;\
	tail->next = cur;\
    }\
    tail = cur;\
}

#define	DEL_LINK(type, head)	\
{\
    type *_tmp, *_next;\
\
    _tmp = head;\
    while(_tmp) {\
	_next = _tmp->next;\
	free(_tmp);\
	_tmp = _next;\
    }\
    head = NULL;\
}
