/*
  EZinst - Easy Installation -
  Copyright (C) 1993, 1994, 1995 Takashi MANABE
                                     (manabe@Roy.dsl.tutics.tut.ac.jp)

  EZinst is free software; you can redistribute it and/or modify it
  under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  See the GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */

#if 1
#define	VPATH_TOP	"/var/lib/ezinst"
#define	UPATH_TOP	"/usr/lib/ezinst"
#else
#define	VPATH_TOP	"/home/work/JE/EZinst2"
#define	UPATH_TOP	"/home/work/JE/EZinst2"
#endif

#define	PATH_EZPKG	"/sbin/ezpkg"
#define	PATH_LIST	VPATH_TOP"/Lists"
#define	PATH_RULE	UPATH_TOP"/Rules"
#define	PATH_MESSAGE	UPATH_TOP"/Messages"
#define	PATH_DESC	UPATH_TOP"/Rules"
#define	FILE_SIZE	UPATH_TOP"/Rules/packages.siz"
#define	FILE_BUILD	UPATH_TOP"/BUILD"
#define	FILE_PACKAGES	PATH_RULE"/packages"
#define	FILE_CATEGORIES	PATH_RULE"/categories"
#define	FILE_JAPANESE	PATH_MESSAGE"/japanese.cat"
#define	DESC_JAPANESE	PATH_DESC"/japanese.dsc"
#define	DIR_MOUNT	"/var/adm/mount"
#ifndef	_PATH_MOUNT
#define	_PATH_MOUNT	"/bin/mount"
#endif
#ifndef	_PATH_UMOUNT
#define	_PATH_UMOUNT	"/bin/umount"
#endif
#if 1
#define	FILE_ENGLISH	FILE_JAPANESE
#define	DESC_ENGLISH	DESC_JAPANESE
#else
#define	FILE_ENGLISH	PATH_MESSAGE"/english.cat"
#define	DESC_ENGLISH	PATH_DESC"/english.dsc"
#endif
#define	FILE_DIRS	"diskset.dir"
#define	FILE_FLOPPYLIST	VPATH_TOP"/floppy.lst"
